<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org"
	xmlns:sec="http://www.thymeleaf.org/thymeleaf-extras-springsecurity3"
	th:fragment="master_template (title, page)">
	<head>
		<meta charset="ISO-8859-1">
		<title>Geographic UI</title>
		
		<link rel="stylesheet" th:href="@{/resources/plugins/jquery-ui/css/jquery-ui.css}">
		<link rel="stylesheet" th:href="@{/resources/plugins/bootstrap/css/bootstrap.min.css}">  	
		<link rel="stylesheet" th:href="@{/resources/plugins/bootstrap/css/bootstrap-theme.css}">  		
		<link rel="stylesheet" th:href="@{/resources/plugins/bootstrap/css/bootstrap-select.min.css}">
		<link rel="stylesheet" th:href="@{/resources/stylesheets/bootstrap-multiselect.css}">
		<link rel="stylesheet" th:href="@{/resources/plugins/fa/css/font-awesome.min.css}">
		<th:block th:replace="${page} :: header" th:remove="tag"/>
	
		
		<script type="text/javascript" th:inline="javascript" th:src="@{/resources/javascripts/external/jquery-1.10.2.min.js}"></script>
		<script type="text/javascript" th:inline="javascript" th:src="@{/resources/javascripts/js-messages.js}"></script>
		<script th:data-main="@{'/resources/javascripts/require-main'}" type="text/javascript" th:src="@{/resources/javascripts/external/require.min.js}"></script>		
		<script type="text/javascript" th:inline="javascript" th:src="@{/resources/plugins/bootstrap/js/bootstrap.min.js}"></script>
		<script type="text/javascript" th:inline="javascript" th:src="@{/resources/javascripts/external/underscore-min.js}"></script>
		
		<script th:include="${page} :: scripts"></script>
	</head>
	<body>
		<nav class="navbar navbar-fixed-top">
			<div class="container">
				<div class="navbar-header">
					<a class="navbar-title" href="#" th:href="@{/}">Geographic System</a>
				</div>
				<div id="navbar" class="collapse navbar-collapse">
					
					<ul class="nav navbar-nav navbar-right">
						<li sec:authorize="isAuthenticated()">
							<div class="menu-user">
								<label th:text="#{master.header.welcome.label}"></label>
								<span sec:authentication="principal.username"> User</span>
							</div>
							<a class="menu-logout" th:href="@{/logout}" th:title="#{master.header.logout.title}">
								<i class="fa fa-sign-out" aria-hidden="true"></i>
							</a>
						</li>
					</ul>
				</div>
			</div>
		</nav>
	
		<div class="container-fluid">
			<div class="row">
				<div class="col-sm-10 col-sm-offset-1 col-md-10 col-md-offset-1 main">
					<div class="panel-body-content">
						<th:block th:replace="${page} :: content"/>
					</div>
				</div>
			</div>
		</div>

</html>
